import { DebounceSettings } from 'lodash';
export declare namespace UseDebounceNS {
    type Callback<T> = (value: T) => void;
    interface Options extends DebounceSettings {
        delay?: number;
    }
}
export declare const useDebounce: <T>(callback: UseDebounceNS.Callback<T>, options?: UseDebounceNS.Options) => (value: T) => void | undefined;
