import { DragEvent } from 'react';
export declare namespace UseDragWithoutGhostNS {
    const GHOST = "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+P+/HgAFhAJ/wlseKgAAAABJRU5ErkJggg==";
    interface Options {
        stopPropagation?: boolean;
        preventDefault?: boolean;
    }
}
export declare const useDragWithoutGhost: <ElementType extends Element>(onDragStart?: ((evt: DragEvent<ElementType>) => void) | undefined, options?: UseDragWithoutGhostNS.Options) => (evt: DragEvent<ElementType>) => void;
