import { KhayyamNS } from 'omar-khayyam';
import { DatedNS } from '../types';
export declare namespace IsBetweenNS {
    type CheckModel = (typeof CheckModel)[number];
    const CheckModel: readonly ["is-between", "is-between-or-equal"];
    type CheckType = (typeof CheckType)[number];
    const CheckType: readonly ["date", "time", "date-time"];
    interface CheckOptions {
        checkModel: CheckModel;
        checkType: CheckType;
    }
    const initialCheckOptions: CheckOptions;
}
export declare const isBetween: (targetDate: DatedNS.DateNS.DateInput, date1: DatedNS.DateNS.DateInput, date2: DatedNS.DateNS.DateInput, calendar: KhayyamNS.Calendars, checkOptions?: IsBetweenNS.CheckOptions) => boolean;
