import { KhayyamNS } from 'omar-khayyam';
import { DatedNS } from '../types';
export declare namespace IsEqualNS {
    interface CheckOptions {
        year: boolean;
        month: boolean;
        day: boolean;
        hour: boolean;
        minute: boolean;
        second: boolean;
        millisecond: boolean;
    }
    const initialCheckOptions: CheckOptions;
}
export declare const isEqual: (date1: DatedNS.DateNS.DateInput, date2: DatedNS.DateNS.DateInput, calendar: KhayyamNS.Calendars, checkOptions?: IsEqualNS.CheckOptions) => boolean;
