import { KhayyamNS } from 'omar-khayyam';
import { DatedNS } from '../types';
export declare namespace JumpToNS {
    interface Params {
        calendar: KhayyamNS.Calendars;
        dated: DatedNS.DateNS.Dated;
        to: Exclude<DatedNS.DateNS.Durations, 'weeks'>;
        newValue: number;
    }
}
export declare const jumpTo: ({ calendar, dated, newValue, to, }: JumpToNS.Params) => DatedNS.DateNS.Dated;
