import { KhayyamNS } from 'omar-khayyam';
import { DatedNS } from '../types';
export declare namespace IsBeforeOrAfterNS {
    type CheckModel = (typeof CheckModel)[number];
    const CheckModel: readonly ["is-before", "is-before-or-equal", "is-after", "is-after-or-equal"];
    type CheckType = (typeof CheckType)[number];
    const CheckType: readonly ["date", "time", "date-time"];
    interface CheckOptions {
        checkModel: CheckModel;
        checkType: CheckType;
    }
    const initialCheckOptions: CheckOptions;
}
export declare const isBeforeOrAfter: (date1: DatedNS.DateNS.DateInput, date2: DatedNS.DateNS.DateInput, calendar: KhayyamNS.Calendars, checkOptions?: IsBeforeOrAfterNS.CheckOptions) => boolean;
