export declare namespace MakeElementDraggableNS {
    interface MakeElementDraggableSensitive {
        target: string;
        sensitiveOnMove?: boolean;
        sensitiveOnMoveEnd?: boolean;
    }
    interface Args {
        element: HTMLElement;
        areaSensitive?: MakeElementDraggableSensitive;
        blackList?: string[];
        whiteList?: string[];
        onDragEnd?: (positionX: number, positionY: number) => void;
        onDragStart?: () => void;
    }
}
export declare const makeElementDraggable: ({ element, areaSensitive, blackList, whiteList, onDragEnd, onDragStart, }: MakeElementDraggableNS.Args) => void;
